## glite-lb-yaim 4.4.3

=== Makefile ===
top_srcdir=..
stagedir=.
package=glite-lb-yaim
version=0.0.0
PREFIX=/opt/glite
prefix=

-include Makefile.inc
-include ${top_srcdir}/project/version.properties

yaim_prefix=/opt/glite
ifeq (${project},emi)
yaim_project=/emi
endif

FILES=glite-lb.pre config_glite_lb LICENSE COPYRIGHT node-version arch service update

all ${FILES}:
	glite_var="${localstatedir}/glite"; \
	if echo "${localstatedir}" | grep 'glite'>/dev/null; then \
		glite_var="${localstatedir}"; \
	fi; \
	sed -e 's:@glite_prefix@:${sysroot}${prefix}:' -e 's:@glite_etc@:${sysconfdir}:' -e "s:@glite_var@:$$glite_var:" $(top_srcdir)/config/defaults/glite-lb.pre > glite-lb.pre; \
	sed -e 's:@glite_prefix@:${sysroot}${prefix}:' -e 's:@glite_etc@:${sysconfdir}:' -e "s:@glite_var@:$$glite_var:" $(top_srcdir)/config/functions/config_glite_lb.in > config_glite_lb

	# metapackage info
	echo -e "${gLiteCopyrightText}\n\n${gLiteLicenseText}" > LICENSE
	cp LICENSE COPYRIGHT
	echo ${module.version}-${module.age} > node-version
	echo ${platformArch} > arch
	echo "NA" > service
	echo "NA" > update

install: ${FILES}
	mkdir -p ${DESTDIR}${PREFIX}${yaim_prefix}/yaim/functions/
	mkdir -p ${DESTDIR}${PREFIX}${yaim_prefix}/yaim/node-info.d
	mkdir -p ${DESTDIR}${PREFIX}${yaim_prefix}/yaim/defaults
	mkdir -p ${DESTDIR}${PREFIX}${yaim_prefix}/yaim/etc/versions
	install -m 0644 $(top_srcdir)/config/functions/config_gip_lb ${DESTDIR}${PREFIX}${yaim_prefix}/yaim/functions
	install -m 0644 $(top_srcdir)/config/functions${yaim_project}/config_info_service_lb ${DESTDIR}${PREFIX}${yaim_prefix}/yaim/functions
	install -m 0644 config_glite_lb ${DESTDIR}${PREFIX}${yaim_prefix}/yaim/functions
	install -m 0644 ${top_srcdir}/config/node-info.d${yaim_project}/glite-lb ${DESTDIR}${PREFIX}${yaim_prefix}/yaim/node-info.d
	install -m 0644 glite-lb.pre ${DESTDIR}${PREFIX}${yaim_prefix}/yaim/defaults
	echo "$(package) $(module.version)-$(module.age)" > ${DESTDIR}${PREFIX}${yaim_prefix}/yaim/etc/versions/$(package)
	mkdir -p ${DESTDIR}${PREFIX}${yaim_prefix}/release/glite-LB
	cp -fp LICENSE COPYRIGHT node-version arch service update ${DESTDIR}${PREFIX}${yaim_prefix}/release/glite-LB/

stage:
	$(MAKE) install PREFIX=${stagedir}

check:

clean:

distclean:
	rm -rvf Makefile.inc *.spec debian/

.PHONY: default all check install stage clean distclean

=== debian/changelog ===
glite-lb-yaim (4.4.3-3) unstable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Thu, 26 Jul 2012 12:27:53 +0200

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

-include /usr/share/dpkg/buildflags.mk

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

configure: configure-stamp
configure-stamp:
	dh_testdir
	/usr/bin/perl ./configure --thrflavour= --nothrflavour= --root=/ --prefix=/usr --libdir=lib --project=emi --module lb.yaim
	touch $@

build: build-indep

build-indep: build-stamp

build-stamp: configure-stamp
	dh_testdir
	CFLAGS="$(CFLAGS) $(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" $(MAKE)
	CFLAGS="$(CFLAGS) $(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" $(MAKE) check
	touch $@

clean: configure-stamp
	dh_testdir
	dh_testroot
	rm -f configure-stamp build-stamp
	$(MAKE) clean
	rm -f Makefile.inc config.status
	dh_clean

install: build-stamp
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp

binary-indep: install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_installlogrotate
	dh_installcron
	dh_install --fail-missing
	dh_link
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep

## glite-lb-yaim 4.5.1

=== Makefile ===
--- 
+++ 
@@ -5,14 +5,23 @@
 PREFIX=/opt/glite
 prefix=
 
+default: all
+
 -include Makefile.inc
 -include ${top_srcdir}/project/version.properties
+
+version=${module.version}
 
 yaim_prefix=/opt/glite
 ifeq (${project},emi)
 yaim_project=/emi
 endif
 
+SOURCES=\
+	config/defaults/glite-lb.pre \
+	config/functions/* config/functions/emi/* \
+	config/node-info.d/glite-lb config/node-info.d/emi/glite-lb \
+	Makefile
 FILES=glite-lb.pre config_glite_lb LICENSE COPYRIGHT node-version arch service update
 
 all ${FILES}:
@@ -26,7 +35,7 @@
 	# metapackage info
 	echo -e "${gLiteCopyrightText}\n\n${gLiteLicenseText}" > LICENSE
 	cp LICENSE COPYRIGHT
-	echo ${module.version}-${module.age} > node-version
+	echo ${version}-${module.age} > node-version
 	echo ${platformArch} > arch
 	echo "NA" > service
 	echo "NA" > update
@@ -41,7 +50,7 @@
 	install -m 0644 config_glite_lb ${DESTDIR}${PREFIX}${yaim_prefix}/yaim/functions
 	install -m 0644 ${top_srcdir}/config/node-info.d${yaim_project}/glite-lb ${DESTDIR}${PREFIX}${yaim_prefix}/yaim/node-info.d
 	install -m 0644 glite-lb.pre ${DESTDIR}${PREFIX}${yaim_prefix}/yaim/defaults
-	echo "$(package) $(module.version)-$(module.age)" > ${DESTDIR}${PREFIX}${yaim_prefix}/yaim/etc/versions/$(package)
+	echo "$(package) $(version)-$(module.age)" > ${DESTDIR}${PREFIX}${yaim_prefix}/yaim/etc/versions/$(package)
 	mkdir -p ${DESTDIR}${PREFIX}${yaim_prefix}/release/glite-LB
 	cp -fp LICENSE COPYRIGHT node-version arch service update ${DESTDIR}${PREFIX}${yaim_prefix}/release/glite-LB/
 
@@ -51,8 +60,10 @@
 check:
 
 clean:
+	rm -fv ${FILES}
+	rm -rvf dist ${package}-*.tar.gz
 
 distclean:
 	rm -rvf Makefile.inc *.spec debian/
 
-.PHONY: default all check install stage clean distclean
+.PHONY: default all check install stage clean distclean dist distcheck

=== debian/changelog ===
glite-lb-yaim (4.5.1-0head.2) stable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Tue, 14 Aug 2012 19:22:30 +0200

=== debian/control ===
Source: glite-lb-yaim
Priority: extra
Maintainer: CESNET Product Teams <emi-lb@metacentrum.cz>
Uploaders: František Dvořák <valtri@civ.zcu.cz>
Build-Depends: debhelper (>= 7.0.50~)
Standards-Version: 3.9.1
Section: admin
Homepage: http://glite.cern.ch
DM-Upload-Allowed: yes
Vcs-Cvs: :pserver:anonymous@jra1mw.cvs.cern.ch:/cvs/jra1mw
Vcs-Browser: http://jra1mw.cvs.cern.ch/cgi-bin/jra1mw.cgi

Package: glite-lb-yaim
Section: admin
Architecture: all
Depends: ${misc:Depends}, glite-yaim-bdii, libnet-ldap-perl, glite-yaim-core
Description: YAIM initialization scripts for LB node
 This package contains the yaim functions to configuration of the LB
 node.

## glite-lb-yaim 4.5.8

=== debian/changelog ===
glite-lb-yaim (4.5.8-1) stable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Wed, 23 Jan 2013 19:04:55 +0100

## glite-lb-yaim 4.5.12

=== Makefile ===
--- 
+++ 
@@ -22,19 +22,20 @@
 	config/functions/* config/functions/emi/* \
 	config/node-info.d/glite-lb config/node-info.d/emi/glite-lb \
 	Makefile
-FILES=glite-lb.pre config_glite_lb LICENSE COPYRIGHT node-version arch service update
+FILES=glite-lb.pre config_glite_lb COPYRIGHT node-version arch service update
+
+ifeq ($(os_type),debian)
+sysdefaultdir=${sysconfdir}/default
+else
+sysdefaultdir=${sysconfdir}/sysconfig
+endif
 
 all ${FILES}:
-	glite_var="${localstatedir}/glite"; \
-	if echo "${localstatedir}" | grep 'glite'>/dev/null; then \
-		glite_var="${localstatedir}"; \
-	fi; \
-	sed -e 's:@glite_prefix@:${sysroot}${prefix}:' -e 's:@glite_etc@:${sysconfdir}:' -e "s:@glite_var@:$$glite_var:" $(top_srcdir)/config/defaults/glite-lb.pre > glite-lb.pre; \
-	sed -e 's:@glite_prefix@:${sysroot}${prefix}:' -e 's:@glite_etc@:${sysconfdir}:' -e "s:@glite_var@:$$glite_var:" $(top_srcdir)/config/functions/config_glite_lb.in > config_glite_lb
+	sed -e 's:@glite_prefix@:${sysroot}${prefix}:g' -e 's:@glite_etc@:${sysconfdir}:g' $(top_srcdir)/config/defaults/glite-lb.pre > glite-lb.pre; \
+	sed -e 's:@glite_prefix@:${sysroot}${prefix}:g' -e 's:@glite_etc@:${sysconfdir}:g' -e 's:@defaultdir@:${sysdefaultdir}:g' $(top_srcdir)/config/functions/config_glite_lb.in > config_glite_lb
 
 	# metapackage info
-	echo -e "${gLiteCopyrightText}\n\n${gLiteLicenseText}" > LICENSE
-	cp LICENSE COPYRIGHT
+	echo -e "${gLiteCopyrightText}\n\n${gLiteLicenseText}" > COPYRIGHT
 	echo ${version}-${module.age} > node-version
 	echo ${platformArch} > arch
 	echo "NA" > service
@@ -64,6 +65,6 @@
 	rm -rvf dist ${package}-*.tar.gz
 
 distclean:
-	rm -rvf Makefile.inc *.spec debian/
+	rm -rvf project/changelog Makefile.inc *.spec debian/
 
 .PHONY: default all check install stage clean distclean dist distcheck

=== debian/changelog ===
glite-lb-yaim (4.5.12-1) stable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Mon, 24 Jun 2013 10:02:43 +0200

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
 Package: glite-lb-yaim
 Section: admin
 Architecture: all
-Depends: ${misc:Depends}, glite-yaim-bdii, libnet-ldap-perl, glite-yaim-core
+Depends: ${misc:Depends}, glite-yaim-bdii, glite-yaim-core
 Description: YAIM initialization scripts for LB node
  This package contains the yaim functions to configuration of the LB
  node.

=== debian/rules ===
--- 
+++ 
@@ -27,7 +27,7 @@
 	dh_testroot
 	rm -f configure-stamp build-stamp
 	$(MAKE) clean
-	rm -f Makefile.inc config.status
+	rm -f Makefile.inc config.status *.spec
 	dh_clean
 
 install: build-stamp
@@ -40,7 +40,7 @@
 binary-indep: install
 	dh_testdir
 	dh_testroot
-	dh_installchangelogs
+	dh_installchangelogs project/ChangeLog
 	dh_installdocs
 	dh_installexamples
 	dh_installman

## glite-lb-yaim 4.5.13

=== debian/changelog ===
glite-lb-yaim (4.5.13-1) stable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Fri, 22 Nov 2013 11:57:40 +0100

## glite-lb-yaim 4.5.15

=== Makefile ===
--- 
+++ 
@@ -24,11 +24,7 @@
 	Makefile
 FILES=glite-lb.pre config_glite_lb COPYRIGHT node-version arch service update
 
-ifeq ($(os_type),debian)
-sysdefaultdir=${sysconfdir}/default
-else
-sysdefaultdir=${sysconfdir}/sysconfig
-endif
+sysdefaultdir?=${sysconfdir}/default
 
 all ${FILES}:
 	sed -e 's:@glite_prefix@:${sysroot}${prefix}:g' -e 's:@glite_etc@:${sysconfdir}:g' $(top_srcdir)/config/defaults/glite-lb.pre > glite-lb.pre; \

=== debian/changelog ===
glite-lb-yaim (4.5.15-1.git20151003) stable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Sat, 03 Oct 2015 10:10:46 +0200

=== debian/control ===
--- 
+++ 
@@ -6,12 +6,8 @@
 Standards-Version: 3.9.1
 Section: admin
 Homepage: http://glite.cern.ch
-DM-Upload-Allowed: yes
-Vcs-Cvs: :pserver:anonymous@jra1mw.cvs.cern.ch:/cvs/jra1mw
-Vcs-Browser: http://jra1mw.cvs.cern.ch/cgi-bin/jra1mw.cgi
 
 Package: glite-lb-yaim
-Section: admin
 Architecture: all
 Depends: ${misc:Depends}, glite-yaim-bdii, glite-yaim-core
 Description: YAIM initialization scripts for LB node

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
-include /usr/share/dpkg/buildflags.mk

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

%:
	dh $@ --parallel --fail-missing

override_dh_auto_configure: config.status
config.status:
	./configure --root=/ --prefix=/usr --libdir=lib --sysdefaultdir=/etc/default --os-type=debian --project=emi

override_dh_auto_clean: config.status
	make clean

override_dh_clean:
	dh_clean
	rm -vf Makefile.inc config.status *.spec

=== debian/watch ===
version=3
http://scientific.zcu.cz/emi/emi.lb.yaim/glite-lb-yaim-(.*)\.tar\.gz
